package com.huanshao.x_image_picker

import android.app.Activity
import android.content.Context

import android.content.ContextWrapper


object ImageLoaderUtils {
    fun assertValidRequest(context: Context): Boolean {
        if (context is Activity) {
            val activity = context as Activity
            return !isDestroy(activity)
        } else if (context is ContextWrapper) {
            val contextWrapper = context as ContextWrapper
            if (contextWrapper.baseContext is Activity) {
                val activity = contextWrapper.baseContext as Activity
                return !isDestroy(activity)
            }
        }
        return true
    }

    private fun isDestroy(activity: Activity?): Boolean {
        return if (activity == null) {
            true
        } else activity.isFinishing || activity.isDestroyed
    }
}