part of x_image_picker;

class XImagePickerArgs {
  ///录制视频秒数 默认60s, 列表也会跟随此参数进行过滤，假如这里为10s，列表仅显示10s以下的视频
  final int recordVideoSecond;

  /// 最大选择数量
  final int maxSelectNum;

  /// 选择类型
  final XImagePickerArgsMediaType type;

  /// 是否显示拍照按钮
  final bool isCamera;

  XImagePickerArgs(
      {this.recordVideoSecond = 60,
      this.maxSelectNum = 9,
      required this.type,
      this.isCamera = true});

  Map<String, dynamic> toMap() => {
        "recordVideoSecond": recordVideoSecond,
        "maxSelectNum": maxSelectNum,
        "type": type.str,
        "isCamera": isCamera
      };
}

enum XImagePickerArgsMediaType { Image, Video }

extension XXImagePickerArgsMediaType on XImagePickerArgsMediaType {
  String get str => this.toString().split('.').last;
}
